/*
Theme Name: Coronado
Theme URI: https://createdbyblack.com/work/coronado
Description: A theme for Coronado based on the Twenty Twenty-Five theme.
Author: Created by Black
Author URI: https://createdbyblack.com/
Template: twentytwentyfive
Version: 1.0.0
Text Domain: coronado
License: GPL-2.0-or-later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
*/

:root {
	--font-primary: 'Apercu', sans-serif;
	
	/* colors	 */
	/* --wp--preset--color--custom-black: #000;
    --wp--preset--color--custom-white: #ffffff;
    --wp--preset--color--custom-primary-green: #82cab9;
    --wp--preset--color--custom-dark-blue: #1b2437;
    --wp--preset--color--custom-light-green: #ecfff6;
    --wp--preset--color--custom-light-blue: #7089b8;
    --wp--preset--color--custom-off-white: #f8f8f8; */

	/* font sizes */
	--wp--preset--font-size--xx-small: 1rem; /*16px*/
	--wp--preset--font-size--x-small: 1.125rem; /*18px*/
	--wp--preset--font-size--small: 1.25rem; /*20px*/
    --wp--preset--font-size--medium: 1.875rem!important; /*30px*/
    --wp--preset--font-size--large: 2.5rem!important; /*40px*/
    --wp--preset--font-size--x-large: 3.125rem!important; /*50px*/
	--wp--preset--font-size--xx-large: 4.375rem!important; /*70px*/
}

body{
	font-family: var(--font-primary);
	font-size: var(--wp--preset--font-size--small);
	font-weight: 300;
}

h1, h2, h3{ margin-bottom: 40px!important; font-weight: 300; }
h4{ margin-bottom: 25px!important;}

p{
	margin-top: 0!important;
	margin-bottom: 25px!important;
}

a, button{ outline: none; }


/* Common Classes  
-----------------------------------------------------------------------------  */
.not-ready{
    display: none!important;
}

.row-container, header .inner-wrap, footer .inner-wrap{
	padding-left: 8%!important;
	padding-right: 8%!important;
}

.gap-100{ gap: 100px!important; }

.mb-50{ margin-bottom: 50px!important; }
.mb-100{ margin-bottom: 100px!important; }

.pr-20{ padding-right: 20px; }
.pl-20{ padding-left: 20px; }

.fs-25{ font-size: 1.563rem; line-height: 1.4; font-weight: 400;}

.bg-dark-blue{ background: var(--wp--preset--color--custom-dark-blue)!important;}

.max-w-610{ max-width: 610px; }
.max-w-630{ max-width: 630px; }


/* Buttons
-----------------------------------------------------------------------------  */
.wp-block-buttons.pt-20 { padding-top: 20px;}
.wp-block-buttons .wp-block-button__link {
	position: relative;
	display: inline-flex;
	align-items: center;
	justify-content: space-between;
	gap: 40px;
	min-width: 283px;
	min-height: 55px;
	padding: 0 0 0 30px !important;
	border-radius: 999px !important;
	overflow: hidden;
	background: var(--wp--preset--color--custom-off-white) !important;
	color: var(--wp--preset--color--custom-dark-blue) !important;
	font-family: var(--font-primary, 'Apercu', sans-serif);
	font-weight: 700;
	text-transform: uppercase;
	text-decoration: none;
	line-height: 1;
	font-size: var(--wp--preset--font-size--x-small);
	outline: none;
}

.wp-block-buttons .wp-block-button__link strong {
	position: relative;
	z-index: 2;
	width: 100%;
}

.wp-block-buttons .wp-block-button__link img {
	position: relative;
	z-index: 2;
	width: 38px !important;
	height: 38px;
	margin-right: 18px;
	object-fit: contain;
}

.wp-block-buttons .wp-block-button__link::after {
	content: "";
	position: absolute;
	top: 0;
	right: 0;
	width: 75px;
	height: 100%;
	background: var(--wp--preset--color--custom-primary-green) !important;
	border-radius: 0 999px 999px 0;
	z-index: 1;
}

.wp-block-buttons .wp-block-button__link:hover::after {
	width: 100%;
}

.wp-block-buttons .wp-block-button__link,
.wp-block-buttons .wp-block-button__link::after {
	transition: all 0.3s ease;
}

/* transparent white  */
.wp-block-buttons .is-style-outline-white .wp-block-button__link {
	background: transparent !important;
	color: var(--wp--preset--color--custom-white) !important;
	border: 2px solid ;
}

.wp-block-buttons .is-style-outline-white .wp-block-button__link::after {
	background: var(--wp--preset--color--custom-white)!important;
}
.wp-block-buttons .is-style-outline-white .wp-block-button__link:hover{
	color: var(--wp--preset--color--custom-dark-blue)!important;
}

/* Transparent Dark blue */
.wp-block-buttons .is-style-outline-dark .wp-block-button__link {
	background: transparent !important;
	color: var(--wp--preset--color--custom-dark-blue) !important;
	border: 2px solid;
}

.wp-block-buttons .is-style-outline-dark .wp-block-button__link::after {
	background: var(--wp--preset--color--custom-dark-blue)!important;
}

.wp-block-buttons .is-style-outline-dark .wp-block-button__link:hover{ color: var(--wp--preset--color--custom-light-green)!important;}



/* Underline animation for links 
-----------------------------------------------------------------------------  */
p a{
	background-image: linear-gradient(transparent calc(100% - 1px), currentColor 1px);
    background-repeat: no-repeat;
    background-size: 0% 100%;
    transition: background-size .5s;
    text-decoration: none !important;
}

p a:hover, p.reverse-underline a{
	background-size: 100% 100%;
}

p a:hover{
	background-size: 0% 100%;
}


/* Header
-----------------------------------------------------------------------------  */
header{
	position: absolute;
    z-index: 999;
    left: 0;
    right: 0;
    margin-top: 40px!important;
}


/* Footer
-----------------------------------------------------------------------------  */
footer{ margin-top: 0!important; }


/* FAQ Accordion 
--------------------------------------------------------*/
.accordion_wrap {
  margin: 0;
  padding-bottom: 15px;
}

.accordion_title {
	font-size: var(--wp--preset--font-size--small);
	font-weight: 400;
    padding: 20px 80px 20px 80px!important;
    border-radius: 100px!important;
    margin: 0!important;
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
    position: relative;
    z-index: 1;
    background: var(--wp--preset--color--custom-primary-green);
}

.accordion_title.active{
  background: var(--wp--preset--color--custom-primary-green);
}

.accordion_txt {
    padding: 80px ;
    margin: 0 auto;
    position: relative;
    margin-top: -50px;
    background: var(--wp--preset--color--custom-dark-blue);
	color: var(--wp--preset--color--custom-light-green);
	font-size: var(--wp--preset--font-size--x-small);
    width: 99%;
    border-radius: 10px;
}

.accordion_txt p {
    margin: 30px 0 !important;
    position: relative;
}
.accordion_txt p  a{ color: var(--wp--preset--color--custom-white);}

.accordion_title.active + .accordion_txt{  margin-bottom: -50px; }

/* plus minus trigger */
.accordion_wrap .accordion_title .trigger{
  width: 45px;
  height: 45px;
  border-radius: 15px;
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--wp--preset--color--custom-white);
  font-size: var(--wp--preset--font-size--small);
  transition: all 0.3s ease;
  /* position: absolute;
  top: 10px;
  right: 10px; */
}

.accordion_wrap .accordion_title.active .trigger:before {
    /* transform: translatey(-50%) rotate(-90deg); */
    opacity: 0;
}
.accordion_wrap .accordion_title.active .trigger:after {
  /* transform: translatey(-50%) rotate(0); */
}
.accordion_wrap .accordion_title .trigger:before, .accordion_wrap .accordion_title .trigger:after {
  content: "";
  display: block;
  position: absolute;
  /* top: 36px;
  left: -65px; */
  transition: 0.35s;
  width: 44px;
  height: 44px;
}

/* horizontal */
.accordion_wrap .accordion_title .trigger:before {
  /* transform: translatey(-50%) rotate(0deg)!important; */
  background: url(/wp-content/uploads/2026/04/icon-plus.svg) no-repeat center center;
}

/* vertical */
.accordion_wrap .accordion_title .trigger:after {
  /* transform: translatey(-50%) rotate(0deg)!important; */
  background: url(/wp-content/uploads/2026/04/icon-minus.svg) no-repeat center center;
  opacity: 0;
}

.accordion_wrap .accordion_title.active .trigger:after{  opacity: 1; }
.accordion_wrap .accordion_title.active .trigger:before{ opacity: 0; }


/* Section Overview
-----------------------------------------------------------------------------  */
.section-overview::before{ 
	content: '';
	position: absolute;
	height: 100%;
	width: 450px;
	right: 0;
	z-index: 1;
	background: var(--wp--preset--color--custom-white);
}
.section-overview .wp-block-columns{ padding-right: 540px; }
.section-overview img.wp-block-cover__image-background{ width: 520px; left: auto; }

.section-stats p{ font-size: var(--wp--preset--font-size--x-small);}


/* Section About
-----------------------------------------------------------------------------  */
.section-about .wp-block-columns{ padding-right: 600px; }
.section-about img.wp-block-cover__image-background {  width: 650px; left: auto; }

.overlay-none .wp-block-cover__background.has-background-dim{ opacity: 0!important;}
.overlay-full .wp-block-cover__background.has-background-dim{ opacity: 1!important;}
.overlay-full img.wp-block-cover__image-background{
	z-index: 1;
}

/* Modal Form
-----------------------------------------------------------------------------  */
.mfp-wrap{
	background: rgba(248, 248, 248, 0.50);
    backdrop-filter: blur(15px);
}
.contact-form-container{
	max-width: 540px;
	margin: auto;
    padding: 0 30px;
}

.mfp-close:active{ top: 0!important; }

/* modal close buttons */
.mfp-close:before, .mfp-close:after {
    transform: rotate(-45deg);
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    margin-left: -12px;
    display: block;
    height: 2.3px;
    width: 25px;
    background-color: var(--wp--preset--color--custom-dark-blue);
    transition: all 0.25s ease-out;
}
.mfp-close:after { transform: rotate(-135deg); }
.mfp-close:hover:before,
.mfp-close:hover:after {
    transform: rotate(0deg);
}

.mfp-content .mfp-close:before,
.mfp-content .mfp-close:after{
    background-color: var(--wp--preset--color--custom-dark-blue);
}

.mfp-content .mfp-close{
	font-size:0px!important;
    margin-right: -20px!important;
    margin-top: -40px;
    opacity: 1;
    right: 10px;
    top: 10px!important;
}

.contact-form-container .wp-block-image img{ max-width: 300px;}
.wpforms-container .wpforms-field, .wp-core-ui div.wpforms-container .wpforms-field{
	padding: 5px 0!important;
}

.contact-form-container div.wpforms-container-full input,
.contact-form-container div.wpforms-container-full textarea{
	height: 54px;
	border: 1px solid var(--wp--preset--color--custom-dark-blue)!important;
	font-size: var(--wp--preset--font-size--x-small)!important;
	border-radius: 5px!important;
	outline: none!important;
	box-shadow: none!important;
	resize: none!important;
}

.contact-form-container div.wpforms-container-full input::placeholder,
.contact-form-container div.wpforms-container-full textarea::placeholder{
	color: #7089B8!important;
	opacity: 1!important;
}

div.wpforms-container-full .wpforms-form label.wpforms-error, div.wpforms-container-full .wpforms-form em.wpforms-error{
	margin-top: 10px!important;
}


/* forms buttons 
-------------------------------*/
.wpforms-container.wpforms-container-full,
.wpforms-submit-container{
	margin-top: 25px!important;
}

/* Base styling */
.wpforms-submit {
	position: relative;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    min-width: 100%;
    min-height: 55px;
    padding: 0 95px 0 0px !important;
    border-radius: 999px !important;
    border: 2px solid var(--wp--preset--color--custom-dark-blue) !important;
    background: #f8f8f8;
    color: var(--wp--preset--color--custom-dark-blue) !important;
    font-family: var(--font-primary);
    font-weight: 700!important;
    font-size: 18px;
    cursor: pointer;
    overflow: hidden;
    transition: all 0.3s ease;
    background: transparent !important;
}

/* Right segment */
.wpforms-submit::after {
	content: "";
    position: absolute;
    top: 0 !important;
    right: 0 !important;
    width: 95px;
    height: 100%;
    background: var(--wp--preset--color--custom-dark-blue);
    border-radius: 0 999px 999px 0 !important;
    transition: all 0.25s ease;
    left: auto !important;
    border: none !important;
}

/* Icon inside */
.wpforms-submit::before {
	content: "";
	position: absolute;
	right: 28px;
	width: 38px;
	height: 38px;
	background: url('/wp-content/uploads/2026/04/icon-light.svg') no-repeat center;
	background-size: contain;
	z-index: 2;
}

.wpforms-submit .btn-text{
	position: relative;
	z-index: 2;
	text-transform: uppercase !important;
}

/* Hover */
.wpforms-submit:hover::after {
	width: 100% !important;
    border-radius: 999px !important;
}
.wpforms-submit:hover {
	color: var(--wp--preset--color--custom-light-green) !important;
}

/* Thanks message */
div.wpforms-container-full .wpforms-confirmation-container-full, div[submit-success]>.wpforms-confirmation-container-full:not(.wpforms-redirection-message){
	background: transparent !important;
	border: none !important;
	text-align: center;
	padding: 30px 0!important;
	margin: 0!important;
}

/* FADE ANIMATION */
.mfp-fade.mfp-bg { opacity: 0; transition: opacity 0.4s ease; }
.mfp-fade.mfp-ready.mfp-bg { opacity: 0.8; }
.mfp-fade.mfp-removing.mfp-bg { opacity: 0; }

/* Modal content */
.mfp-fade .mfp-content { opacity: 0; transform: translateY(20px); transition: all 0.4s ease; }
.mfp-fade.mfp-ready .mfp-content { opacity: 1; transform: translateY(0); }
.mfp-fade.mfp-removing .mfp-content { opacity: 0; transform: translateY(20px); }


/* Responsive
-----------------------------------------------------------------------------  */
@media only screen and (max-width: 1480px) {
	.section-stats .wp-block-columns{ gap: 30px; }
	.section-overview .wp-block-columns{ padding-right: 470px; }

	/* section about   */
	.section-about img.wp-block-cover__image-background{ width: 36%;}
	.section-about .wp-block-columns{ padding-right: 38%!important;}
}

@media only screen and (max-width: 1380px) {
	body{
		font-size: var(--wp--preset--font-size--x-small);
	}

	.row-container, header .inner-wrap, footer .inner-wrap{
		padding-left: 5%!important;
		padding-right: 5%!important;
	}

	.section-hero{ min-height: 800px!important; padding-top: 430px!important; padding-bottom: 140px!important;}
	.section-overview .wp-block-columns,
	.section-benefits-wrapper{ padding-top: 150px!important; padding-bottom: 150px!important;}
	.section-benefits-wrapper .wp-block-columns{ margin-bottom: 150px!important;}
	.gap-100{ gap: 80px!important; }

	.section-about{ padding-top: 100px!important; padding-bottom: 100px!important; }
}

@media only screen and (max-width: 1180px) {
	:root {
		/* font sizes */
		--wp--preset--font-size--medium: 1.5rem!important; /*24px*/
		--wp--preset--font-size--large: 1.875rem!important; /*30px*/
		--wp--preset--font-size--x-large: 2.5rem!important; /*40px*/
		--wp--preset--font-size--xx-large: 3.75rem!important; /*60px*/
	}

	.fs-25{ font-size: 1.375rem;} /*22px*/
	h1, h2, h3, .mb-50{ margin-bottom: 30px!important; }
	.gap-100{ gap: 50px!important; }

	.wp-block-site-logo a, .wp-block-site-logo img{ max-width: 300px;}

	/* container padding */
	.section-overview .wp-block-columns,
	.section-benefits-wrapper{ padding-top: 80px!important; padding-bottom: 80px!important;}
	
	/* section overview */
	.section-overview::before{ width: 350px;}
	.section-overview{ min-height: 500px!important;}
	.section-overview img.wp-block-cover__image-background{ width: 400px; object-fit: contain;}
	.section-overview .wp-block-columns{ padding-right: 365px;}

	/* accordion */
	.accordion_title{ padding: 28px 80px 28px 80px !important;}
	.accordion_wrap .accordion_title .trigger:before, .accordion_wrap .accordion_title .trigger:after{ width: 40px; height: 40px;}
	
}

@media only screen and (max-width: 991px) {
	.gap-100{ gap: 30px!important; }

	/* Hero */
	.section-hero{ 	min-height: 600px!important; padding-top: 300px!important; padding-bottom: 100px!important;}

	/* padding */
	.section-overview .wp-block-columns, .section-benefits-wrapper{ padding-top: 80px!important; padding-bottom: 80px!important;}
	.row-container, header .inner-wrap, footer .inner-wrap{
		padding-left: 25px!important;
		padding-right: 25px!important;
	}

	/* overview */
	.section-overview{ display: block!important;}
	.section-overview::before{ display: none!important;}
	.section-overview .wp-block-columns{ padding-right: 0!important; }
	.section-overview img.wp-block-cover__image-background{ width: 100%; left: 0!important; display: none;}
	
	/* stats section */
	.section-stats .wp-block-columns{  display: grid;  grid-template-columns: 1fr 1fr; gap: 50px 100px;}
	.section-stats h4{ margin-bottom: 15px!important;}
	.section-stats .wp-block-image{ margin-top: 0; margin-bottom: 15px!important;}

	/* section benefits */
	.section-benefits-wrapper .wp-block-columns{ flex-direction: column;   margin-bottom: 80px !important; }
	.section-benefits-wrapper .mobile-reverse{ flex-direction: column-reverse;}
	.wp-block-columns.section-benefits{ gap: 0px; }

	/* section about */
	.section-about{ flex-direction: column-reverse; gap: 50px; padding-top: 80px !important; padding-bottom: 0px !important;}
	.section-about .wp-block-columns{ padding-right: 0!important;}
	.section-about img.wp-block-cover__image-background{ width: 109%; height: 900px; position: relative; margin-left: -5%; margin-right: -5%; }

	/* FAQ */
	.accordion_title{ padding: 18px 40px 18px 40px !important; }
	/* .accordion_wrap .accordion_title .trigger:before, .accordion_wrap .accordion_title .trigger:after{top: 25px; left: auto; right: 25px;} */
	.accordion_txt{ padding: 60px 40px;}
}

@media only screen and (max-width: 860px) {
	.wp-block-site-logo a, .wp-block-site-logo img{ max-width: 250px;}
	header .header-row, footer .logo-row{ flex-wrap: wrap!important;}
}

@media only screen and (max-width: 680px) {
	:root {
		/* font sizes */
		--wp--preset--font-size--x-large: 2.125rem!important; /*36px*/
		--wp--preset--font-size--xx-large: 2.75rem!important; /*44px*/
	}

	.fs-25{ font-size: 1.25rem;} /*20px*/
	h1, h2, h3, .mb-50{ margin-bottom: 25px !important;}

	/* Containers */
	.page-main-container{ padding: 5px 5px 0 5px!important; }
	footer .padding-container{ padding: 0 5px 5px 5px!important; }

	/* submit buttons */
	.wpforms-submit::before {  width: 34px; height: 34px; }


	/* buttons */
	.wp-block-buttons, .wp-block-button,
	.wp-block-buttons .wp-block-button__link{min-width: 100%;}
	.wp-block-buttons .wp-block-button__link img {
		width: 34px !important;
		height: 34px;
	}

	/* header */
	header .header-row{ justify-content: center;}

	/* footer */
	footer .logo-row{ justify-content: center;}
	footer .inner-wrap{ padding-top: 40px!important; padding-bottom: 20px!important;}
	footer .logo-row{ padding-bottom: 40px!important;}
	footer .copyright-row{ flex-direction: column;  gap: 0; text-align: center;}
	footer .copyright-row p{ margin-bottom: 15px!important;}

	/* section hero */
	.section-hero{  padding-bottom: 50px !important; }

	/* section overview */
	.section-overview .wp-block-columns, .section-stats, .section-benefits-wrapper{ padding-top: 60px !important; padding-bottom: 40px !important;}
	.section-stats .wp-block-columns{ grid-template-columns: 1fr; gap: 20px;}

	/* section benefits */
	.section-benefits-wrapper{ padding-left: 10px!important; padding-right: 10px !important;}
	.wp-block-columns.section-benefits{ margin-bottom: 20px !important;}
	.gap-100{ gap: 0px!important; }
	.section-community .wp-block-image{ padding-top: 30px; }

	/* section about */
	.section-about{ padding-top: 40px !important; }
	.section-about img.wp-block-cover__image-background{ width: calc(100% + 60px);  margin-left: -30px; margin-right: -30px; height: 600px;}

	/* modal */
	.contact-form-container .wp-block-image img{ max-width: 200px;}
	.contact-form-container{ padding: 0 10px;}
	.mfp-content .mfp-close{ margin-right: 0px !important; margin-top: -50px;}
	.contact-form-container div.wpforms-container-full input, .contact-form-container div.wpforms-container-full textarea{  height: 48px; }
	.wpforms-container.wpforms-container-full, .wpforms-submit-container{ margin-top: 25px !important;  margin-bottom: 0 !important;}
	.contact-form-container > .wp-block-group{ padding: 30px!important;}

	/* FAQ */
	.accordion_title{ padding: 18px 50px 18px 30px !important; font-size: var(--wp--preset--font-size--x-small); }
	.accordion_wrap .accordion_title .trigger:before, .accordion_wrap .accordion_title .trigger:after{  width: 32px; height: 32px; background-size: contain; right: 25px;}
	.accordion_txt{ padding: 50px 30px;}

}




















